summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMikle Kolyada <zlogene@gentoo.org>2018-11-26 17:38:45 +0300
committerMikle Kolyada <zlogene@gentoo.org>2018-11-26 17:39:03 +0300
commit91e468f224b1a394ba22c91d66d88b8951866947 (patch)
tree36115c0d2b66b3d48bb7a0d55cc0ea05b6b3833b /dev-util
parentmedia-video/ffmpeg: When using samba, require the client use flag (diff)
downloadgentoo-91e468f224b1a394ba22c91d66d88b8951866947.tar.gz
gentoo-91e468f224b1a394ba22c91d66d88b8951866947.tar.bz2
gentoo-91e468f224b1a394ba22c91d66d88b8951866947.zip
dev-util/pycharm-community: Version bump (v2018.3)
Signed-off-by: Mikle Kolyada <zlogene@gentoo.org> Package-Manager: Portage-2.3.51, Repoman-2.3.11
Diffstat (limited to 'dev-util')
-rw-r--r--dev-util/pycharm-community/Manifest1
-rw-r--r--dev-util/pycharm-community/pycharm-community-2018.3.ebuild54
2 files changed, 55 insertions, 0 deletions
diff --git a/dev-util/pycharm-community/Manifest b/dev-util/pycharm-community/Manifest
index 6b762287cac..2d825974d16 100644
--- a/dev-util/pycharm-community/Manifest
+++ b/dev-util/pycharm-community/Manifest
@@ -1,2 +1,3 @@
DIST pycharm-community-2018.2.1.tar.gz 260758803 BLAKE2B 735d3e7483b46a9be8bf0a8fa88a51352b1048718aab00b63c133a408666e151947ded527b4ed754ce15aff17a3da9396e10b9194e61286f0ed0534d51f0eabe SHA512 bcae7f579664aa9b071eef6fedc68dad8c9e36078c258cee6877ada1247f9051c4d542657ef2b01dce087e273623b84d86d786ddf1e922d7c6599725f50428bd
DIST pycharm-community-2018.2.4.tar.gz 260812419 BLAKE2B 2274d8af513535e4c5b3b69619c944f503dd9f2248a43cf3352221b34c40604f409038d85366321e858037e3c9c63dc838c046917c3102a2d536e4aef05c1636 SHA512 aca812b3355552c6a65865385e82c96fbca06f9caa39fd21723710922865f7aeb38de33eb041efb1e3553e161c34de6d8b8ed724d7c91ba16f3a818711ca9468
+DIST pycharm-community-2018.3.tar.gz 310642963 BLAKE2B b32f3c9a3c28bc1ee4658c1ef60cbbe2c4775b310512b3a7fd1b28839bf1c69a566198808b128d18cbbe2d987f61d80bcbcc590177b25d8e9c8fce5fb1754d49 SHA512 00121b4ee9daae92d5c389913f4dd9efcd634f9888b21f6bcae10a3a67cc4bc36a5012590e6836224168053521edf5ba848080f4fc1060df04dc4c58cfdd9fff
diff --git a/dev-util/pycharm-community/pycharm-community-2018.3.ebuild b/dev-util/pycharm-community/pycharm-community-2018.3.ebuild
new file mode 100644
index 00000000000..7a0fdedacc6
--- /dev/null
+++ b/dev-util/pycharm-community/pycharm-community-2018.3.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit gnome2-utils readme.gentoo-r1 xdg
+
+DESCRIPTION="Intelligent Python IDE with unique code assistance and analysis"
+HOMEPAGE="http://www.jetbrains.com/pycharm/"
+SRC_URI="http://download.jetbrains.com/python/${P}.tar.gz"
+
+LICENSE="Apache-2.0 BSD CDDL MIT-with-advertising"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND=">=virtual/jre-1.8
+ dev-python/pip"
+
+RESTRICT="mirror strip"
+
+QA_PREBUILT="opt/${PN}/bin/fsnotifier
+ opt/${PN}/bin/fsnotifier64
+ opt/${PN}/bin/fsnotifier-arm"
+
+MY_PN=${PN/-community/}
+
+src_prepare() {
+ default
+
+ rm -rf jre || die
+}
+
+src_install() {
+ insinto /opt/${PN}
+ doins -r *
+
+ fperms a+x /opt/${PN}/bin/{pycharm.sh,fsnotifier{,64},inspect.sh}
+
+ dosym ../../opt/${PN}/bin/pycharm.sh /usr/bin/${PN}
+ newicon bin/${MY_PN}.png ${PN}.png
+ make_desktop_entry ${PN} ${PN} ${PN}
+
+ readme.gentoo_create_doc
+}
+
+pkg_postinst() {
+ xdg_pkg_postinst
+ gnome2_icon_cache_update
+}
+
+pkg_postrm() {
+ xdg_pkg_postrm
+ gnome2_icon_cache_update
+}